fstests: add some missing _require_loop's v2022.05.01
authorJosef Bacik <josef@toxicpanda.com>
Thu, 28 Apr 2022 15:05:00 +0000 (11:05 -0400)
committerZorro Lang <zlang@kernel.org>
Fri, 29 Apr 2022 08:09:12 +0000 (16:09 +0800)
Got a new box running overnight fstests and noticed a couple of failures
because I forgot to enable loop device support.  Fix these two tests to
have _require_loop so they don't fail if there's no loop device support.

Signed-off-by: Josef Bacik <josef@toxicpanda.com>
Reviewed-by: Darrick J. Wong <djwong@kernel.org>
Signed-off-by: Zorro Lang <zlang@kernel.org>
tests/btrfs/012
tests/generic/648

index 29552b14f166e2a77e8871725735fcdfcc848fac..60461a3425451d3bd12831886e423b70b2418fa1 100755 (executable)
@@ -30,6 +30,7 @@ _require_command "$MKFS_EXT4_PROG" mkfs.ext4
 _require_command "$E2FSCK_PROG" e2fsck
 # ext4 does not support zoned block device
 _require_non_zoned_device "${SCRATCH_DEV}"
+_require_loop
 
 BLOCK_SIZE=`_get_block_size $TEST_DIR`
 
index e5c743c53c59235d8bd7f8c5d85d1c31d892bca2..d7bf5697e1fff70361725d191d750a6974685a32 100755 (executable)
@@ -39,6 +39,7 @@ _require_scratch_reflink
 _require_cp_reflink
 _require_dm_target error
 _require_command "$KILLALL_PROG" "killall"
+_require_loop
 
 echo "Silence is golden."